use rhai::plugin::*;

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum SceneAction {
	None,
	GoTo(String),
}

#[export_module]
pub mod sceneaction_mod {
	#[allow(non_upper_case_globals)]
	pub const None: SceneAction = SceneAction::None;

	#[allow(non_snake_case)]
	pub fn GoTo(scene: String) -> SceneAction {
		SceneAction::GoTo(scene)
	}
}
